/// <reference types="react" />
import { GridPanelWrapperProps } from './GridPanelWrapper';
import type { GridColDef } from '../../models/colDef/gridColDef';
export interface GridColumnsPanelProps extends GridPanelWrapperProps {
    sort?: 'asc' | 'desc';
    searchPredicate?: (column: GridColDef, searchValue: string) => boolean;
    autoFocusSearchField?: boolean;
    disableHideAllButton?: boolean;
    disableShowAllButton?: boolean;
    /**
     * Returns the list of togglable columns.
     * If used, only those columns will be displayed in the panel
     * which are passed as the return value of the function.
     * @param {GridColDef[]} columns The `ColDef` list of all columns.
     * @returns {GridColDef['field'][]} The list of togglable columns' field names.
     */
    getTogglableColumns?: (columns: GridColDef[]) => GridColDef['field'][];
}
declare function GridColumnsPanel(props: GridColumnsPanelProps): JSX.Element;
declare namespace GridColumnsPanel {
    var propTypes: any;
}
export { GridColumnsPanel };
